---
title: RTCErrorEvent.error
slug: Web/API/RTCErrorEvent/error
tags:
  - API
  - Audio
  - Error
  - Error Handling
  - Media
  - Property
  - RTCError
  - RTCErrorEvent
  - Reference
  - Video
  - WebRTC
  - WebRTC API
  - WebRTC Device API
---
<p>{{DefaultAPISidebar("WebRTC")}}</p>

<p>The read-only {{domxref("RTCErrorEvent")}} property <code><strong>error</strong></code> contains an {{domxref("RTCError")}} object describing the details of the error which the event is announcing.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <em>errorInfo</em> = <em>rtcErrorEvent</em>.error;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("RTCError")}} object whose properties provide details about the error which has occurred in the context of a {{Glossary("WebRTC")}} operation. Since <code>RTCError</code> is based upon {{domxref("DOMException")}}, it includes those properties. Additional properties defined by <code>RTCError</code> are:</p>

<p>{{page("/en-US/docs/Web/API/RTCError", "property-list")}}</p>

<h2 id="Examples">Examples</h2>

<p>In this example, a handler is established for an {{domxref("RTCDataChannel")}}'s {{domxref("RTCDataChannel.error_event", "error")}} event.</p>

<pre class="brush: js notranslate">dataChannel.addEventListener("error", (event) =&gt; {
  let error = event.error;

  if (error.errorDetail === "sdp-syntax-error") {
    let errLine = error.sdpLineNumber;
    let errMessage = error.message;

    let alertMessage = `A syntax error occurred interpreting line ${errLine} of the SDP: ${errMessage}`;
    showMyAlertMessage("Data Channel Error", alertMessage);
  } else {
    terminateMyConnection();
  }
});
</pre>

<p>If the error is an SDP syntax error—indicated by its {{domxref("RTCError.errorDetail", "errorDetail")}} property being <code>sdp-syntax-error</code>—, a message string is constructed to present the error message and the line number within the SDP at which the error occurred. This message is then displayed using a function called <code>showMyAlertMessage()</code>, which stands in for whatever output mechanism this code might use.</p>

<p>Any other error is treated as terminal, causing a <code>terminateMyConnection()</code> function to be called.</p>

<p>The above example uses {{domxref("EventTarget.addEventListener", "addEventListener()")}} to add the handler for <code>error</code> events. You can also use the <code>RTCDataChannel</code> object's {{domxref("RTCDataChannel.onerror", "onerror")}} event handler property, like this:</p>

<pre class="brush: js notranslate">dataChannel.onerror = (event) =&gt; {
  let error = event.error;

  /* and so forth */
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcerrorevent-error', 'RTCErrorEvent.error')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCErrorEvent.error")}}</p>
